Announcement

Collapse
No announcement yet.

Administrator Launcher 1.1.0 Released!

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #31
    I thought this was going to help making launching mirth easier but have run into this error. It seems quite a few people have seen this no there doesnt appear to be any clear solution.

    Error Downloading / Verifying Codebase:

    java.lang.NullPointerException
    java.util.concurrent.ExecutionException: java.lang.NullPointerException
    at java.util.concurrent.FutureTask.report(Unknown Source)
    at java.util.concurrent.FutureTask.get(Unknown Source)
    at com.mirth.connect.client.launcher.f.a(SourceFile:4 06)
    at com.mirth.connect.client.launcher.f.a(SourceFile:3 65)
    at com.mirth.connect.client.launcher.MirthClientLaunc her.run(SourceFile:1122)
    at java.lang.Thread.run(Unknown Source)
    Caused by: java.lang.NullPointerException
    at com.mirth.connect.client.launcher.f.a(SourceFile:6 09)
    at com.mirth.connect.client.launcher.f.a(SourceFile:5 36)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker( Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)
    ... 1 more

    Any assistance would be appreciated.

    Thanks.

    Comment


    • #32
      Mirth Launcher and Java 1.8

      Hi all! I found myself trying this after a cache clear left me unable to connect to one of my client Mirths. It worked perfectly, but something concerned me - the bundled Java is 1.8 and this still breaks my 3.0.1 sites. I get the "This channel is invalid. Verify all required extensions are loaded correctly." message if I go into Channels.

      Per this post, Java 8 and 3.0.1 don't mix - https://www.mirthcorp.com/community/...ad.php?t=10283

      Per the post about the launch, the Mirth Launcher supports Connect back to 2.x.

      Is there something I need to set or do for the install so that 3.0.1 works? Thank you!
      Attached Files

      Comment


      • #33
        Originally posted by JBradlee View Post
        Hi all! I found myself trying this after a cache clear left me unable to connect to one of my client Mirths. It worked perfectly, but something concerned me - the bundled Java is 1.8 and this still breaks my 3.0.1 sites. I get the "This channel is invalid. Verify all required extensions are loaded correctly." message if I go into Channels.

        Per this post, Java 8 and 3.0.1 don't mix - https://www.mirthcorp.com/community/...ad.php?t=10283

        Per the post about the launch, the Mirth Launcher supports Connect back to 2.x.

        Is there something I need to set or do for the install so that 3.0.1 works? Thank you!
        Yeah unfortunately for 3.0.1 you'll have to launch using Java 7 instead. Use the "Custom Java Home" option and point directly to your Java 7 home directory in this case.
        Step 1: JAVA CACHE...DID YOU CLEAR ...wait, ding dong the witch is dead?

        Nicholas Rupley
        Work: 949-237-6069
        Always include what Mirth Connect version you're working with. Also include (if applicable) the code you're using and full stacktraces for errors (use CODE tags). Posting your entire channel is helpful as well; make sure to scrub any PHI/passwords first.


        - How do I foo?
        - You just bar.

        Comment


        • #34
          The launcher is not saving my connections. Is there a file that is used in the user's home directory that should keep these connections? Or (more likely) are there file permissions that need to be altered in order to store the connections?

          Comment


          • #35
            Administrator Launcher 1.1.0 Released!

            Thanks for the explaination..

            Comment


            • #36
              Originally posted by narupley View Post
              Yeah unfortunately for 3.0.1 you'll have to launch using Java 7 instead. Use the "Custom Java Home" option and point directly to your Java 7 home directory in this case.
              Thank you - I installed a 1.7 JRE (Ubuntu 18.04, 1.7.0_80) and set that connection to use 1.7's path. I also enabled the Java console but when I launch, the console still shows my machine's 1.8 Java Home and the channels are still uneditable.

              Is there anything else I need to do permissions or config-wise to allow the Administrator to see the 1.7 JRE? I tried using /opt/jre1.7.0_80 and /opt/jre1.7.0_80/bin with identical results.

              Comment


              • #37
                default port 8443

                hi,
                I've inserted ip and port in the text box Address of the GUI as
                https://localhost:8444/webstart
                but when the login form opens, the server address becomes
                [url]https://localhost:8443
                I need the port to remain the one I set in the connection address, that was 8444.

                when I used the jnlp files, I modified the file and the desired port was proposed to me.
                how do you leave the same port (8444) indicated in the Address text box in the login form?
                in any case, great work, thanks

                Comment


                • #38
                  I believe you can set the server.url property in your server's mirth.properties file to the url you want the jnlp file to contain rather than having it build the url based on your other settings.

                  Comment


                  • #39
                    Originally posted by newbie_mrth View Post
                    I thought this was going to help making launching mirth easier but have run into this error. It seems quite a few people have seen this no there doesnt appear to be any clear solution.

                    Error Downloading / Verifying Codebase:

                    java.lang.NullPointerException
                    java.util.concurrent.ExecutionException: java.lang.NullPointerException
                    at java.util.concurrent.FutureTask.report(Unknown Source)
                    at java.util.concurrent.FutureTask.get(Unknown Source)
                    at com.mirth.connect.client.launcher.f.a(SourceFile:4 06)
                    at com.mirth.connect.client.launcher.f.a(SourceFile:3 65)
                    at com.mirth.connect.client.launcher.MirthClientLaunc her.run(SourceFile:1122)
                    at java.lang.Thread.run(Unknown Source)
                    Caused by: java.lang.NullPointerException
                    at com.mirth.connect.client.launcher.f.a(SourceFile:6 09)
                    at com.mirth.connect.client.launcher.f.a(SourceFile:5 36)
                    at java.util.concurrent.FutureTask.run(Unknown Source)
                    at java.util.concurrent.ThreadPoolExecutor.runWorker( Unknown Source)
                    at java.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)
                    ... 1 more

                    Any assistance would be appreciated.

                    Thanks.

                    please help.. I downloaded latest launcher...now I am getting this same error
                    totally blocked..please help

                    Comment


                    • #40
                      Hi,

                      Anyone know if it is possible to install and run Administrator Launcher without the bundled Java 8?

                      Or if it is possible to replace the bundle 8 with Java 11?

                      Have tried deleting the bundled java 8 directory and replaced it with java 11, but each way the Administrator Launcher errors on loading.

                      I know wec point the Launcher to default or custom, but we have request to remove java 8 completely for security reasons.

                      ​​​Thanks in advance.

                      Comment

                      Working...
                      X